This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 87693 - Download of Instant ISO fails when using mozilla 1.2.1 with RHN
Summary: Download of Instant ISO fails when using mozilla 1.2.1 with RHN
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
(Show other bugs)
Version: RHN Stable
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact: Red Hat Satellite QA List
URL: http://rhn.redhat.com
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-01 12:50 UTC by Paul Moore
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-01 13:19:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Moore 2003-04-01 12:50:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030103

Description of problem:
When downloading instant isos from RHN using mozilla 1.2.1,
the download fails when the cache fills up.

While this is certainly a problem with Mozilla itself, it
is logical to assume that a new user of a RedHat system will
use the default browser to download the instant iso.

There appears to be no other way to retrieve instant isos.

I might suggest that the RHN authentication be able to be
used for ftp://download.rhn.redhat.com and ftp://download-3.rhn.redhat.com or
ftp://rhn.redhat.com

This will certainly save bandwidth by avoiding users of
instant-isos downloading 50MB (the mozilla max cache size
default) and then the download being deleted.

Version-Release number of selected component (if applicable):
rhn currently in use at rhn.redhat.com

How reproducible:
Always

Steps to Reproduce:
1. mozilla http://rhn.redhat.com
2. Login
3. Software
4. Click an ISO to download.

    

Actual Results:  Aborts after 50MB.

Expected Results:  Completes

Additional info:

Comment 1 Paul Moore 2003-04-01 13:19:53 UTC
Dear Self,

If you would have read the documentation on rhn.redhat.com you would have seen
that https://rhn.redhat.com/network/software/index.pxt states:

"Click the Instant ISOs tab on the left to view the full list of available
Instant ISOs and for download and installation instructions."

and on the top of the page it then states:

"It is recommended that you use curl to download the ISO images."
...
"Once curl is installed, at a shell prompt, cut and paste the URL for the ISO
into the curl command as follows:

[user@localhost home]$ curl -C - -O 'very_long_url'"

I hope this prevents others making such silly mistakes.

Regards,

Self


Note You need to log in before you can comment on or make changes to this bug.